import csv
from graphics import *

def l_to_rect(l):
	return Rectangle ( Point(l[1],l[0]),  Point (l[3],l[2]) )

def csvtorectangles():
	rects = []
# lire des donnees csv
	with open('adj.t.csv') as csvfile:
		brol = csv.DictReader(csvfile)
		print brol 
		print " _____________"

		for cpt  in brol:
			rect=[100*float(cpt['xmin']),100*float(cpt['ymin']),100*float(cpt['xmax']),100*float(cpt['ymax'])]
			#print "test pour voir tous les rects"
			rects.append(rect)
			#print rects
		return rects     # return list of lists
		
def main():
	win = GraphWin("Correlative" , 500, 500)
	win.setBackground("beige")
	win.setCoords(0,500, 500,0 )

	rectangles5=csvtorectangles()
	print rectangles5
	for list in rectangles5:
 		finalr=l_to_rect(list)
		#finalr.setFill("cyan")
 		finalr.draw(win)
		finalr.setWidth(3)

	win.getMouse() # pause for click in window

#	sleep (20)

	for list in rectangles5:
 		finalr=l_to_rect(list)
		finalr.setFill("cyan")
 		finalr.draw(win)
		finalr.setWidth(3)

	win.getMouse() # pause for click in window
	win.close()

# ******************

main()

# **********************

